Bug 1359203 (CVE-2016-5408) - CVE-2016-5408 squid: Buffer overflow vulnerability in cachemgr.cgi tool
Summary: CVE-2016-5408 squid: Buffer overflow vulnerability in cachemgr.cgi tool
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5408
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359204 1359205 1359206 1359207
Blocks: 1359209
TreeView+ depends on / blocked
 
Reported: 2016-07-22 13:54 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
6 users (show)

Fixed In Version: squid 3.5.17, squid 4.0.9
Doc Type: If docs needed, set a value
Doc Text:
It was found that the fix for CVE-2016-4051 released via RHSA-2016:1138 did not properly prevent the stack overflow in the munge_other_line() function. A remote attacker could send specially crafted data to the Squid proxy, which would exploit the cachemgr CGI utility, possibly triggering execution of arbitrary code.
Clone Of:
Environment:
Last Closed: 2016-08-04 13:11:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1573 normal SHIPPED_LIVE Moderate: squid security update 2016-08-04 16:25:04 UTC

Description Adam Mariš 2016-07-22 13:54:58 UTC
Due to incorrect buffer management Squid cachemgr.cgi tool is vulnerable to a buffer overflow when processing remotely supplied inputs relayed to it from Squid.

This CVE is for an incomplete fix for CVE-2016-4051 as applied to squid packages in Red Hat Enterprise Linux 6, released via RHSA-2016:1138.

Upstream advisory for the original issue CVE-2016-4051:

http://www.squid-cache.org/Advisories/SQUID-2016_5.txt

Red Hat Enterprise Linux 6 erratum with the incomplete fix:

https://rhn.redhat.com/errata/RHSA-2016-1138.html

External Reference:

(none)

Comment 4 Cedric Buissart 🐶 2016-08-01 13:23:54 UTC
Acknowledgments:

Name: Amos Jeffries (Squid)

Comment 6 errata-xmlrpc 2016-08-04 12:25:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1573 https://rhn.redhat.com/errata/RHSA-2016-1573.html


Note You need to log in before you can comment on or make changes to this bug.